<?php
/**
 * Copyright 2018-2019 © Intelligent IT SRL. All rights reserved.
 */


namespace SmartBill\Integration\Model\Config;

use SmartBill\Integration\Helper\Data;
use SmartBill\Integration\Model\Config\BaseConfig;

use Magento\Framework\Data\OptionSourceInterface;
use Magento\Framework\Message\ManagerInterface;

/**
 * Source model for StocksDetails
 */
class StocksDetails extends BaseConfig
{
    public $warehouses = null;

    public function __construct
    (
        Data $helper,
        ManagerInterface $messageManager

    )
    {
        $this->helper = $helper;
        $this->messageManager = $messageManager;
    }
    /**
     * Returns array to be used in options array
     *
     * @return array
     */
    public function toOptionArray(){
        
        $helper = $this->helper;
        $messageManager = $this->messageManager;
        
        if(is_null($this->warehouses)){
            $this->warehouses=[];
            try{
                $connector = $helper->getSmartBillConnector();
                $data = $connector->getWarehouses($helper->getCompanyVAT());
                if(isset($data['warehouses'])){
                    foreach($data['warehouses'] as $warehouse){
                        $item['value'] = $warehouse;
                        $item['label'] = $warehouse;
                        $this->warehouses[] = $item;
                    }
                }
            }catch(\Exception $e){}
        }
        
        return $this->warehouses;

    }

}

